[CentOS] CentOS 4.1 - 'Older' JVM Issues

Alex Antropoff alant at transtelecom.md
Tue Sep 6 19:30:27 UTC 2005

On Tue, Sep 06, 2005 at 05:18:59PM +0100, Tom Brown wrote:
TB> Hi
TB> Just installing a machine to replace our dev server.
TB> Currently the dev server runs many different JVM versions depending on 
TB> the app the developer is working on. Some of these require older 
TB> versions of java.
TB> Newer versions work fine out of the box, eg 1.4.x however i'm running 
TB> into the following issue when trying to run apps against 1.3.1_02 which 
TB> i have to be able to run on this box
TB> Unable to load native library: 
TB> /export/disk1/opt/jdk1.3.1_02/jre/lib/i386/libjava.so: symbol 
TB> __libc_wait, version GLIBC_2.0 not defined in file libc.so.6 with link 
TB> time reference
You can use Oracle's fix for this problem,
download http://oss.oracle.com/projects/compat-oracle/dist/files/RedHat/compat-libcwait-2.0-2.i386.rpm 
and install it

Alex Antropoff

More information about the CentOS mailing list